package com.payment_system.entity;

import java.time.LocalDateTime;

public class Car {
    private Integer id; //主键id
    private long userId; //用户id
    private String number; //车牌
    private String carType; //车辆类型
    private LocalDateTime bindTime; //绑定时间

    public Car() {
    }

    public Car(Integer id, long userId, String number, String carType, LocalDateTime bindTime) {
        this.id = id;
        this.userId = userId;
        this.number = number;
        this.carType = carType;
        this.bindTime = bindTime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public long getUserId() {
        return userId;
    }

    public void setUserId(long userId) {
        this.userId = userId;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getCarType() {
        return carType;
    }

    public void setCarType(String carType) {
        this.carType = carType;
    }

    public LocalDateTime getBindTime() {
        return bindTime;
    }

    public void setBindTime(LocalDateTime bindTime) {
        this.bindTime = bindTime;
    }

    @Override
    public String toString() {
        return "Car{" +
                "id=" + id +
                ", userId=" + userId +
                ", number='" + number + '\'' +
                ", carType='" + carType + '\'' +
                ", bindTime=" + bindTime +
                '}';
    }
}
